require "fi/path"
require "fi/dir"
require "fi/file"
require "fi/version"

module Fi
  class << self
    def new(path, content='')
      Fi::File.new path, content
    end

    def open(path)
      ::File.open path
    end

    def read(path)
      ::File.read path
    end

    def delete(path)
      ::File.delete path
    end
  end
end
